=== debian/changelog ===
serd (0.24.0~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.24.0~dfsg0
  * Patches refreshed.
  * Bump Standards.
  * Fix VCS fields.
  * Fix some hardening.
  * Update symbols file.
  * Drop dbg package in favour of dbgsym.
  * Update copyright file.
  * Doxy patch dropped - not needed.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 22 Sep 2016 19:31:18 +0200
