## serd 0.26.0~dfsg0

=== wscript ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-SERD_VERSION       = '0.24.0'
+SERD_VERSION       = '0.26.0'
 SERD_MAJOR_VERSION = '0'
 
 # Mandatory waf variables
@@ -297,15 +297,15 @@
 
     return False
 
-def test_thru(ctx, base, path, check_filename, flags):
+def test_thru(ctx, base, path, check_filename, flags, isyntax, osyntax):
     in_filename = os.path.join(ctx.path.abspath(), path);
     out_filename = path + '.thru'
 
-    command = ('%s %s -i turtle -o turtle -p foo "%s" "%s" | '
-               '%s -i turtle -o ntriples -c foo - "%s" > %s') % (
-        'serdi_static', flags.ljust(5),
-        in_filename, base,
-        'serdi_static', base, out_filename)
+    command = ('%s %s -i %s -o %s -p foo "%s" "%s" | '
+               '%s -i %s -o %s -c foo - "%s" > %s') % (
+                   'serdi_static', flags.ljust(5),
+                   isyntax, isyntax, in_filename, base,
+                   'serdi_static', isyntax, osyntax, base, out_filename)
 
     if autowaf.run_test(ctx, APPNAME, command, 0, name=out_filename):
         autowaf.run_test(ctx, APPNAME,
@@ -314,15 +314,14 @@
     else:
         Logs.pprint('RED', 'FAIL: error running %s' % command)
 
-def test_manifest(ctx, srcdir, testdir, report, base_uri):
+def test_manifest(ctx, srcdir, testdir, report, base_uri, isyntax, osyntax, test_runs):
     import rdflib
     import urlparse
 
     rdf  = rdflib.Namespace('http://www.w3.org/1999/02/22-rdf-syntax-ns#')
     rdfs = rdflib.Namespace('http://www.w3.org/2000/01/rdf-schema#')
     mf   = rdflib.Namespace('http://www.w3.org/2001/sw/DataAccess/tests/test-manifest#')
-    rdft = rdflib.Namespace('http://www.w3.org/ns/rdftest#')
     earl = rdflib.Namespace('http://www.w3.org/ns/earl#')
 
     model = rdflib.ConjunctiveGraph()
-    model.parse(os.path.join(srcdir, 'tests', testdir, 'manifest.ttl'),
+    try:
