=== debian/changelog ===
serd (0.26.0~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.26.0~dfsg0
  * Set dh/compat 10.
  * Sign tags.
  * Update copyright file.
  * Avoid useless linking.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 15 Jan 2017 21:10:18 +0100
