=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  pkg-config,
  python
 Build-Depends-Indep:
