## serd 0.28.0~dfsg0

=== wscript ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-SERD_VERSION       = '0.26.0'
+SERD_VERSION       = '0.28.0'
 SERD_MAJOR_VERSION = '0'
 
 # Mandatory waf variables
@@ -78,6 +78,11 @@
                    defines       = ['_POSIX_C_SOURCE=200809L'],
                    mandatory     = False)
 
+    conf.check(fragment      = 'int main() { return __builtin_clz(1); }',
+               function_name = '__builtin_clz',
+               define_name   = 'HAVE_BUILTIN_CLZ',
+               mandatory     = False)
+
     autowaf.define(conf, 'SERD_VERSION', SERD_VERSION)
     autowaf.set_lib_env(conf, 'serd', SERD_VERSION)
     conf.write_config_header('serd_config.h', remove=False)
@@ -87,6 +92,7 @@
     print('')
 
 lib_source = [
+    'src/byte_source.c',
     'src/env.c',
     'src/node.c',
     'src/reader.c',
@@ -210,6 +216,7 @@
 
 def lint(ctx):
     subprocess.call('cpplint.py --filter=+whitespace/comments,-whitespace/tab,-whitespace/braces,-whitespace/labels,-build/header_guard,-readability/casting,-readability/todo,-build/include src/* serd/*', shell=True)
+    subprocess.call('clang-tidy -checks="*,-misc-unused-parameters,-readability-else-after-return,-llvm-header-guard,-google-readability-todo,-clang-analyzer-alpha.*" -extra-arg="-std=c99" -extra-arg="-I." -extra-arg="-Ibuild" ./serd/*.h ./src/*.c ./src/*.h', shell=True)
 
 def amalgamate(ctx):
     shutil.copy('serd/serd.h', 'build/serd.h')
@@ -314,14 +321,3 @@
     else:
         Logs.pprint('RED', 'FAIL: error running %s' % command)
 
-def test_manifest(ctx, srcdir, testdir, report, base_uri, isyntax, osyntax, test_runs):
-    import rdflib
-    import urlparse
-
-    rdf  = rdflib.Namespace('http://www.w3.org/1999/02/22-rdf-syntax-ns#')
-    rdfs = rdflib.Namespace('http://www.w3.org/2000/01/rdf-schema#')
-    mf   = rdflib.Namespace('http://www.w3.org/2001/sw/DataAccess/tests/test-manifest#')
-    earl = rdflib.Namespace('http://www.w3.org/ns/earl#')
-
-    model = rdflib.ConjunctiveGraph()
-    try:
