=== debian/changelog ===
serd (0.28.0~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.28.0~dfsg0
  * Patch refreshed.
  * Bump Standards.
  * Fix dh version.
  * Update symbols file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 24 Jul 2017 08:03:53 +0200
