=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 10~),
  pkg-config,
  python
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://drobilla.net/software/serd/
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/serd.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/serd.git
