=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,12 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
+export LINKFLAGS += $(LDFLAGS)
+
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-LDFLAGS+=-Wl,--as-needed
+
 WAF = ./waf
 
 ifeq ($(shell dpkg-query -s doxygen graphviz 1>/dev/null 2>&1 && echo yes),yes)
@@ -15,7 +19,7 @@
 endif
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
 	$(WAF) configure \
