## serd 0.30.2

=== debian/changelog ===
serd (0.30.2-1) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Olivier Humbert ]
  * d/control: http -> https
  * d/copyright: http -> https

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #913422)
    + Build-Depends request build architecture python.
    + Tell waf what we build for.

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/rules:
    - Remove get-orig-source
    - Use dpkg's architecture.mk
  * debian/: Use python3 to run waf (Closes: #943204)
  * debian/libserd0-0.symbols: Add new symbol
  * debian/patches: Refresh patches
  * debian/control:
    - Set RRR: no
    - Bump debhelper compat to 12
    - Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Dec 2019 21:11:24 +0100
