=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: serd
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 12),
  pkg-config,
- python
+ python3:any
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 4.0.0
-Homepage: http://drobilla.net/software/serd/
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/serd.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/serd.git
+Standards-Version: 4.4.1
+Homepage: https://drobilla.net/software/serd/
+Vcs-Git: https://salsa.debian.org/multimedia-team/serd.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/serd
+Rules-Requires-Root: no
 
 Package: libserd-dev
 Section: libdevel
