=== debian/changelog ===
serd (0.30.4-1) unstable; urgency=medium

  * New upstream version 0.30.4
  * Bump S-V to 4.5.0
  * Bump dh-compat to 13
  * Add me as uploader
  * Fix bad-whatis-entry in serd.3
  * Mark libserd-doc as Multi-Arch: foreign
  * Make libserd-doc depend on libjs-jquery
  * Link the jquery.js from libjs-jquery
  * Add libserd-dev as B-D to the symbols file
  * Update d/copyright year
  * d/watch: Use https protocol
  * Remove obsolete DEB_LDFLAGS_MAINT_APPEND export
  * Add d/upstream/signing-key.asc
  * Add d/upstream/metadata

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 13 Jun 2020 02:29:30 +0200
