=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export LINKFLAGS += $(LDFLAGS)
 
 include /usr/share/dpkg/architecture.mk
